Get unified market kline (OHLCV)
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/market/klineimport requests
url = "https://data-tools.prd.arrays.org/api/v1/market/kline"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-tools.prd.arrays.org/api/v1/market/kline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"price_close": 123,
"price_high": 123,
"price_low": 123,
"price_open": 123,
"time_close": "<string>",
"time_open": "<string>",
"volume": 123
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Market
Get unified market kline (OHLCV)
OpenAPI JSON Spec
Returns standardized OHLCV kline data for any supported asset type.
The trading_pair uses the format <Market>_<InstrumentType>_<Symbol>_<Currency>.
Supported combinations:
| Scenario | trading_pair example | Interval |
|---|---|---|
| Crypto spot | BINANCE_SPOT_BTC_USDT | All |
| Crypto perp | BINANCE_PERP_ETH_USDT | All |
| Hyperliquid spot | HYPERLIQUID_SPOT_BTC_USDC | All |
| Hyperliquid perp | HYPERLIQUID_PERP_AAPL_USDC | All |
| Stock spot | US_SPOT_AAPL_USD | All |
| Stock option | US_OPTION_AAPL250620C00200000_USD | All |
| ETF spot | US_SPOT_SPY_USD | All |
| ETF option | US_OPTION_SPY260402C00400000_USD | All |
| Index spot | US_SPOT_SPX_USD | 1d only |
| Index option | US_OPTION_SPX260402C04000000_USD | All |
| Commodity future | CME_FUTURE_GCUSD_USD | 1d only |
| FX spot | FX_SPOT_EURUSD_USD | 1d only |
GET
/
v1
/
market
/
kline
Get unified market kline (OHLCV)
Query Parameters
Trading pair (e.g. BINANCE_SPOT_BTC_USDT, US_SPOT_AAPL_USD)
Start time in ISO 8601 / RFC3339 format (e.g. 2025-01-01T00:00:00Z)
End time in ISO 8601 / RFC3339 format (e.g. 2025-01-02T00:00:00Z)
Kline interval
Available options:
1min, 5min, 15min, 30min, 1h, 4h, 1d, 1w, 1m Max number of bars (default 500, max 10000)
Trading session: RTH or ETH (default ETH, stock/option only)

